<?php
if (get_option('wceo_popup_active')=='1'){
  add_action('wp_footer', 'wceo_popup_to_body');
}

function wceo_popup_to_body(){
  $total_items = WC()->cart->get_cart_contents_count();
  if (!class_exists('Woocommerce')) {      
      return false;
  }
  $width=get_option('wceo_popup_w');  
  $height=get_option('wceo_popup_h');
  $margin=$width/2;

?>
<style>
  #wceo_backgroundPopup {
    <?php
      echo 'background:#'.get_option('wceo_popup_overlay_color').';';
     ?>
  }
  #wceo_toPopup {
    <?php    
    if(get_option('wceo_popup_bg_image')!=''){
      echo 'background:linear-gradient(to bottom, #'.get_option('wceo_popup_bg_color1').' 0%, #'.get_option('wceo_popup_bg_color').' 100%) repeat scroll 0 0 rgba(0, 0, 0, 0);';
      echo 'background:url('.get_option('wceo_popup_bg_image').') no-repeat;';
    }else{
      echo 'background:linear-gradient(to bottom, #'.get_option('wceo_popup_bg_color1').' 0%, #'.get_option('wceo_popup_bg_color').' 100%) repeat scroll 0 0 rgba(0, 0, 0, 0);';
    }    
    echo 'border:solid 10px #'.get_option('wceo_popup_border_color').';';
    echo 'width:'.$width.'px;';
    echo 'min-height:'.$height.'px;';
    echo 'margin-left:-'.$margin.'px;';
   echo ' border-radius: '.get_option('wceo_popup_radius_top_l').'px '.get_option('wceo_popup_radius_top_r').'px '.get_option('wceo_popup_radius_btm_r').'px '.get_option('wceo_popup_radius_btm_l').'px;';    
    ?>
  }
</style>

<input type="hidden" id="wceo_count_cart_items" value="<?php echo $total_items;?>">
<div id="wceo_toPopup">
    <div class="wceo_close wceo-display-block" id="wceo_close"></div>       	
		<div id="popup_content">
      <div class="wceo_con">
        <?php echo get_option('wceo_text') ?>
      </div>
      <div class="wceo_con_2">
        <?php echo get_option('wceo_text_2') ?>
        <input type="hidden" id="hdval_path" value="<?php echo plugins_url(); ?>" />
      </div>          
    </div>
    </div>
   	<div id="wceo_backgroundPopup"></div>
<input type="hidden" id="wceo_popup_option" value="<?php echo get_option("wceo_popup_option");?>">
<?php
}
?>