(function($) { 
	"use strict";

	$("a.topopup").on('click', function() {
		loading();
		setTimeout(function(){
			loadPopup();
		}, 500);
	return false;
	});
	
	$("div.close").on('hover',
		function() {
			$('span.ecs_tooltip').show();
		},
		function () {
			$('span.ecs_tooltip').hide();
		}
	);
	
	$("div.close").on('click', function() {
		disablePopup();
	});
	
	$(this).on('keyup', function(event) {
		if (event.which == 27) {
			disablePopup();
		}  	
	});
	
	$("div#wceo_backgroundPopup").on('click', function() {
		disablePopup();
	});
	
	$('a.livebox').on('click', function() {
		$("#wceo_toPopup").fadeOut("normal");  
		$("#wceo_backgroundPopup").fadeOut("normal");  
		popupStatus = 0;
		return false;
	});
	

	 /************** start: functions. **************/
	function loading() {
		$("div.loader").show();  
	}
	function closeloading() {
		$("div.loader").fadeOut('normal');  
	}
	
	var popupStatus = 0;
	
	function loadPopup() { 
		if(popupStatus == 0) {
			closeloading();
			$("#wceo_toPopup").fadeIn(0o500);
			$("#wceo_backgroundPopup").css("opacity", "0.7");
			$("#wceo_backgroundPopup").fadeIn(0o001); 
			popupStatus = 1;
		}	
	}
		
	function disablePopup() {
		if(popupStatus == 1) { 
			$("#wceo_toPopup").fadeOut("normal");  
			$("#wceo_backgroundPopup").fadeOut("normal");  
			popupStatus = 0;
		}
	}

	if($('#wceo_popup_bg_upload_button').length>0){
		$('#wceo_popup_bg_upload_button').on('click', function (){
			var formfield = $('#wceo_popup_bg_image').attr('name');
			tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');

			window.send_to_editor = function(html) {      
				var imgurl = $('img', html).attr('src');
				$('#wceo_popup_bg_image').val(imgurl);
				tb_remove();
			}
			return false;
		});
	}

	function load_wpmcup(){
		var path=$('#hdval_path').val();    
		path+='/woo-exit-offer/includes/wceo-cart.php';
		$.ajax({
			type: "POST",
			url: path,
			data: {email: 'test'},
			success: function(msg){          
				if(msg==1){            
					loadPopup();
				}          
			}
		});
	}

	if($('#wceo_popup_option').length>0){
		var getVal = parseInt($('#wceo_popup_option').val());

		if(getVal == 1){
			if($('#wceo_count_cart_items').length> 0 && $('#wceo_count_cart_items').val() > 0){
				$(document).on('mousemove', function(e) {
					if(e.clientY <=1) {
						load_wpmcup();  
					}
				})
			}
		}
		else{
			$(document).on('mousemove', function(e) {
				if(e.clientY <=1) {
					loadPopup();
				}
			});
		}
	}

	if($('#wceo_close').length>0){
		$('#wceo_close').on('click', function(){
			$(".wpmc_con").empty();
    		disablePopup();    
		});
	}

	function required_wpmcup(){
		$("#wceo_close").hide();
		$(document).on('keyup', function(e) {
			if (e.keyCode == 27) {return false }
		});
	}
})(jQuery);